Exception: An error was encountered while running DADA2 in R (return code -11)

Hi, I'm running these commands on Qiime2, but I've been getting the following error. I hope someone can provide some advice.
(qiime2-2021.2) lancong@LAPTOP-9NUJJPK4:/mnt/d/qiime2$ qiime dada2 denoise-single \

--i-demultiplexed-seqs ileum_single-demux.qza
--p-trim-left 0
--p-n-threads 2
--p-trunc-len 0
--o-table ileum_table.qza
--o-representative-sequences ileum_rep-seqs.qza
--o-denoising-stats ileum_denoising-stats.qza

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code -11), please inspect stdout and
stderr to learn more.

Debug info has been saved to /tmp/qiime2-q2cli-err-4zgxg0_t.log
(qiime2-2021.2) lancong@LAPTOP-9NUJJPK4:/mnt/d/qiime2$
(qiime2-2021.2) lancong@LAPTOP-9NUJJPK4:/mnt/d/qiime2$ cat /tmp/qiime2-q2cli-err-4zgxg0_t.log
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend
on temporary files that no longer exist.

Command: run_dada_single.R /tmp/qiime2-archive-8a0v6w4j/192723da-a151-4946-8d47-10d374ada132/data /tmp/tmprsosz7zs/output.tsv.biom /tmp/tmprsosz7zs/track.tsv /tmp/tmprsosz7zs 0 0 2.0 2 Inf independent consensus 1.0 2 1000000 NULL 16

R version 4.0.2 (2020-06-22)
Loading required package: Rcpp
DADA2: 1.18.0 / Rcpp: 1.0.6 / RcppParallel: 5.0.2

  1. Filtering ........................................
  2. Learning Error Rates

*** caught segfault ***
address 0x7f67e8364000, cause 'invalid permissions'

Traceback:
1: derepFastq(fls[[i]], qualityType = qualityType)
2: learnErrors(filts, nreads = nreads.learn, multithread = multithread, HOMOPOLYMER_GAP_PENALTY = HOMOPOLYMER_GAP_PENALTY, BAND_SIZE = BAND_SIZE)
3: withCallingHandlers(expr, warning = function(w) if (inherits(w, classes)) tryInvokeRestart("muffleWarning"))
4: suppressWarnings(learnErrors(filts, nreads = nreads.learn, multithread = multithread, HOMOPOLYMER_GAP_PENALTY = HOMOPOLYMER_GAP_PENALTY, BAND_SIZE = BAND_SIZE))
An irrecoverable exception occurred. R is aborting now ...
sh: error while loading shared libraries: libc.so.6: failed to map segment from shared object
Traceback (most recent call last):
File "/home/lancong/miniconda3/envs/qiime2-2021.2/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 181, in _denoise_single
run_commands([cmd])
File "/home/lancong/miniconda3/envs/qiime2-2021.2/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 36, in run_commands
subprocess.run(cmd, check=True)
File "/home/lancong/miniconda3/envs/qiime2-2021.2/lib/python3.6/subprocess.py", line 438, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['run_dada_single.R', '/tmp/qiime2-archive-8a0v6w4j/192723da-a151-4946-8d47-10d374ada132/data', '/tmp/tmprsosz7zs/output.tsv.biom', '/tmp/tmprsosz7zs/track.tsv', '/tmp/tmprsosz7zs', '0', '/tmprsosz7zs', '0', '0', '2.0', '2', 'Inf', 'independent', 'consensus', '1.0', '2', '1000000', 'NULL', '16']' 11>.
died with <Signals.SIGSEGV: 11>.

During handling of the above exception, another exception occurred:

Traceback (most recent call last): in call
File "/home/lancong/miniconda3/envs/qiime2-2021.2/lib/python3.6/site-packages/q2cli/commands.py", line 329, in call
results = action(**arguments)
File "", line 2, in denoise_single
File "/home/lancong/miniconda3/envs/qiime2-2021.2/lib/python3.6/site-packages/qiime2/sdk/action.py", line 245, in bound_callableallable
output_types, provenance) ecu
File "/home/lancong/miniconda3/envs/qiime2-2021.2/lib/python3.6/site-packages/qiime2/sdk/action.py", line 390, in callable_exle_executor
output_views = self._callable(**view_args) le
File "/home/lancong/miniconda3/envs/qiime2-2021.2/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 218, in denoise_sing_single gle
band_size='16')
File "/home/lancong/miniconda3/envs/qiime2-2021.2/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 192, in _denoise_sine_single
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code -11), please inspect stdout and stderr to learn more.ore.

Hi @lancong,

The first thing I notice here is that you are using qiime2-2021.2 version, is there a reason you are using this version? It might help to update to one of our latest versions!

Searching the forum for this error I found several posts where this issue has been resolved. Please check them out and see if you can use the solutions there!

This one was solved by updating the WSL1 to WSL2. Can you tell me a little bit more about your machine and operating system?

-Hannah

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.